Name:           gnome-console
Version:        44.4
Release:        1
Summary:        Simple user-friendly terminal emulator for the GNOME desktop
License:        GPLv3+
URL:            https://gitlab.gnome.org/GNOME/console
Source:         https://download.gnome.org/sources/gnome-console/44/gnome-console-%{version}.tar.xz

BuildRequires:  meson >= 0.59.0
BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0) >= 2.66
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(vte-2.91-gtk4)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%description
%{summary}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang kgx

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Console.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.Console.metainfo.xml

%files -f kgx.lang
%license COPYING
%doc NEWS README.md
%{_bindir}/kgx
%{_datadir}/applications/org.gnome.Console.desktop
%{_metainfodir}/org.gnome.Console.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Console.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Console.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Console.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Console-symbolic.svg

%changelog
* Thu Nov 23 2023 lwg <liweiganga@uniontech.com> - 44.4-1
- update to version 44.4

* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> 43.0-1
- Update to 43.0

* Mon Jul 11 2022 lin zhang <lin.zhang@turbolinux.com.cn> 42.0-1
- Update to 42.0

* Fri Apr 15 2022 lin zhang <lin.zhang@turbolinux.com.cn> 42~beta-1
- Initial Packaging
